Patch 8 in a series of cleanup patches from Will Schmidt

Add a helper script to determine if the platform is ppc64le.
This is specifically used to help exclude the 32-bit tests from being
run on a ppc64LE (ABIV2)  platform.  The 32-bit targets, specifically ppc32/*
is not built on LE.
   
This patch fixes Vagrind bugzilla 347322.


git-svn-id: svn://svn.valgrind.org/valgrind/trunk@15188 a5019735-40e9-0310-863c-91ae7b9d1cf9
diff --git a/none/tests/ppc32/jm_vec_isa_2_07.vgtest b/none/tests/ppc32/jm_vec_isa_2_07.vgtest
index a93060a..f69c126 100644
--- a/none/tests/ppc32/jm_vec_isa_2_07.vgtest
+++ b/none/tests/ppc32/jm_vec_isa_2_07.vgtest
@@ -1,2 +1,2 @@
-prereq: ../../../tests/check_isa-2_07_cap
+prereq: ../../../tests/check_isa-2_07_cap && ! ../../../tests/check_ppc64le_cap
 prog: test_isa_2_07_part1 -a
diff --git a/tests/check_ppc64le_cap b/tests/check_ppc64le_cap
new file mode 100644
index 0000000..9f48888
--- /dev/null
+++ b/tests/check_ppc64le_cap
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Helper script to indicate if we are ppc64 LE.
+# Note: The ELFV2 ABI (for ppc64le) specifically does not
+# support the 32-bit environment.
+
+UNAME_M="$(uname -m)"
+
+if [ $UNAME_M != "ppc64le" ]; then
+	exit 1
+else
+	exit 0
+fi
+